<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@datashaper/react](./react.md) &gt; [useSuggestedTableName](./react.usesuggestedtablename.md)

## useSuggestedTableName() function

Returns a hook to generate a new table name based on the given input e.g. "join" could result in "join 1" or "join 2" depending on how many collisions occur.

<b>Signature:</b>

```typescript
export declare function useSuggestedTableName(workflow: Workflow): (name: string) => string;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  workflow | Workflow | the workflow instance |

<b>Returns:</b>

(name: string) =&gt; string

a safe output name to use

